Skip to main content

Merchant-Initiated Sale for Visa Debt Recovery


Use this information to process a merchant-initiated sale for debt recovery using stored card data.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "comments": "TransitDA Debt recovery MIT sale",    "code": "11111111",    "transactionId": "11111113",    "partner": {      "thirdPartyCertificationNumber": "ABC1234",      "solutionId": "ABC1234"    }  },  "merchantInformation": {    "transactionLocalDateTime": "20260529101200"  },  "processingInformation": {    "capture": "true",    "commerceIndicator": "moto",    "industryDataType": "transit",    "authorizationOptions": {      "debtRecoveryIndicator": "true",      "ignoreAvsResult": "true",      "ignoreCvResult": "true",      "initiator": {        "type": "merchant",        "credentialStoredOnFile": "false",        "storedCredentialUsed": "true",        "merchantInitiatedTransaction": {          "reason": "1",          "previousTransactionId": "016153570198200"        }      }    }  },  "paymentInformation": {    "card": {      "number": "4xxxxxxxxxxx1111",      "expirationMonth": "12",      "expirationYear": "2049",      "type": "001"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "3.00",      "currency": "USD"    }  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/payments/7800495209556343503814/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/7800495209556343503814"    }  },  "clientReferenceInformation": {    "code": "11111111",    "comments": "TransitDA Debt recovery MIT sale",    "partner": {      "solutionId": "ABC1234"    },    "transactionId": "6194022212"  },  "id": "7800495209556343503814",  "orderInformation": {    "amountDetails": {      "totalAmount": "3.00",      "authorizedAmount": "3.00",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "processorInformation": {    "systemTraceAuditNumber": "148603",    "merchantNumber": "123456789012345",    "approvalCode": "291735",    "merchantAdvice": {      "code": "01",      "codeRaw": "M001"    },    "responseDetails": "ABC",    "networkTransactionId": "016153570198200",    "retrievalReferenceNumber": "614910148603",    "transactionId": "016153570198200",    "responseCode": "00",    "avs": {      "code": "1"    }  },  "reconciliationId": "7800495209556343503814",  "status": "AUTHORIZED",  "submitTimeUtc": "2026-05-29T10:12:01Z"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsSet this field to TransitDA Debt recovery MIT sale.
clientReferenceInformation.partner.solutionId provides the value for this field.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.expirationMonth
paymentInformation.card.expirationYear
paymentInformation.card.number
paymentInformation.card.type
processingInformation.authorizationOptions.debtRecoveryIndicatorSet this field to true.
processingInformation.authorizationOptions.ignoreAvsResultSet this field to true.
processingInformation.authorizationOptions.ignoreCvResultSet this field to true.
processingInformation.authorizationOptions.initiator.credentialStoredOnFileSet this field to false.
processingInformation.authorizationOptions.initiator. merchantInitiatedTransaction.previousTransactionId
processingInformation.authorizationOptions.initiator. merchantInitiatedTransaction.reasonSet this field to 1.
processingInformation.authorizationOptions.initiator.storedCredentialUsedSet this field to true.
processingInformation.authorizationOptions.initiator.typeSet this field to merchant.
processingInformation.captureSet this field to true.
processingInformation.commerceIndicatorSet this field to moto.
processingInformation.industryDataTypeSet this field to transit.

Last published: September 29, 2026